/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatIconModule } from '@angular/material/icon';
import { MatListModule } from '@angular/material/list';
import { BCI_SHARED_INTL_PROVIDER } from '../../shared-intl';
import { FilterEntryComponent } from './filter-entry.component';

describe('FilterEntryComponent', () => {
  let component: FilterEntryComponent;
  let fixture: ComponentFixture<FilterEntryComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        declarations: [FilterEntryComponent],
        imports: [MatIconModule, MatListModule],
        providers: [BCI_SHARED_INTL_PROVIDER],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(FilterEntryComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
